Skip to content
Start here

Get Field Extractor

client.fieldExtractors.get(stringextractor, FieldExtractorGetParams { account_id } params, RequestOptionsoptions?): FieldExtractorGetResponse { extractor, rules }
GET/accounts/{account_id}/field_extractors/{extractor}

Retrieves the custom extraction rules configured for a given extractor type.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
extractor: string

Extractor type.

minLength1
params: FieldExtractorGetParams { account_id }
account_id: string

Cloudflare account ID.

minLength1
ReturnsExpand Collapse
FieldExtractorGetResponse { extractor, rules }
extractor: string

Extractor type.

rules: Array<Rule>
fields: Array<Field>
expression: string

Wirefilter value expression.

name: string

Field name.

ref: string

Stable rule identifier.

description?: string

Human-readable rule description.

Get Field Extractor

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const fieldExtractor = await client.fieldExtractors.get('llm_prompts', { account_id: '123456' });

console.log(fieldExtractor.extractor);
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "extractor": "llm_prompts",
    "rules": [
      {
        "fields": [
          {
            "expression": "filter(http.request.body.json.strings.values, http.request.body.json.strings.pointers[*] matches \"^/messages/\\\\d+/content$\")",
            "name": "prompt"
          }
        ],
        "ref": "openai-chat",
        "description": "description"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "extractor": "llm_prompts",
    "rules": [
      {
        "fields": [
          {
            "expression": "filter(http.request.body.json.strings.values, http.request.body.json.strings.pointers[*] matches \"^/messages/\\\\d+/content$\")",
            "name": "prompt"
          }
        ],
        "ref": "openai-chat",
        "description": "description"
      }
    ]
  },
  "success": true
}